package com.leanwo.activiti.dto.approver;

import java.io.Serializable;

/**
 * 工作流定义数据
 */
public class WorkflowDefData implements Serializable{
	
	/** 高级设置. */
	private AdvancedSetting advancedSetting;
	
	/** 流程设计. */
	private ProcessData processData;

    /**   表单定义数据. */
    private String formDataStr;

	/**   流程定义数据. */
	private String processDataStr;

    /**   高级设置数据. */
    private String advancedSettingDataStr;
    
    
    
	/**
	 * Gets the 高级设置.
	 *
	 * @return the 高级设置
	 */
	public AdvancedSetting getAdvancedSetting() {
		return advancedSetting;
	}

	/**
	 * Sets the 高级设置.
	 *
	 * @param advancedSetting the new 高级设置
	 */
	public void setAdvancedSetting(AdvancedSetting advancedSetting) {
		this.advancedSetting = advancedSetting;
	}

	/**
	 * Gets the 流程设计.
	 *
	 * @return the 流程设计
	 */
	public ProcessData getProcessData() {
		return processData;
	}

	/**
	 * Sets the 流程设计.
	 *
	 * @param processData the new 流程设计
	 */
	public void setProcessData(ProcessData processData) {
		this.processData = processData;
	}

	public String getFormDataStr() {
		return formDataStr;
	}

	public void setFormDataStr(String formDataStr) {
		this.formDataStr = formDataStr;
	}

	public String getProcessDataStr() {
		return processDataStr;
	}

	public void setProcessDataStr(String processDataStr) {
		this.processDataStr = processDataStr;
	}

	public String getAdvancedSettingDataStr() {
		return advancedSettingDataStr;
	}

	public void setAdvancedSettingDataStr(String advancedSettingDataStr) {
		this.advancedSettingDataStr = advancedSettingDataStr;
	}
}